```{=latex}
\cleardoublepage
```

# Exports

Chill permet d'exporter les données sous différentes formes:

- des listes;
- des tableaux reprenant un ou plusieurs indicateurs.

Les listes peuvent être filtrées selon différents paramètres: âge de l'usager, date de l'échange, etc.

Les tableaux reprennent un indicateur (par exemple: nombre de parcours, nombre d'usager, durée moyenne des échanges), dont les données servant de base au calcul de cet indicateur peut également être filtré, mais aussi regroupé selon différents paramètres (exemple: statut du parcours, type d'échange, etc.). Ces exports ressemblent donc aux "tableaux croisés dynamiques" disponibles dans les logiciels de tableur.

## Liste des exports

(TODO)


## Liste des filtres et regroupements

(Cette documentation est encore incomplète)

<!-- PHPFILE: this list was extracted through this command: find src/ -type f -iname '*.php' | grep Export | grep --invert-match Test | grep --invert-match Helper | grep --invert-match Controller | grep --invert-match Constraint | grep --invert-match DependencyInjection | grep --invert-match Interface | grep --invert-match Declaration | sort -->

### Filtres liés aux échanges

### Regroupements liés aux échanges


#### Grouper les échanges par localisation de l'échange
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityLocationAggregator.php-->

Groupe les échanges par nom de la localisation de l'échange.

Les localisations qui possèdent le même nom sont regroupées ensemble.



<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ACPAggregators/ByActivityNumberAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ACPAggregators/ByCreatorAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ACPAggregators/BySocialActionAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ACPAggregators/BySocialIssueAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ACPAggregators/ByThirdpartyAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ACPAggregators/CreatorScopeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ACPAggregators/DateAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ACPAggregators/LocationTypeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityTypeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityUserAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityUsersAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityUsersJobAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityUsersScopeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/PersonAggregators/ActivityReasonAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/SentReceivedAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/AvgActivityDuration.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/AvgActivityVisitDuration.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/CountActivity.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/ListActivity.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/SumActivityDuration.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/SumActivityVisitDuration.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToPerson/CountActivity.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToPerson/ListActivity.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToPerson/StatActivityDuration.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/ActivityTypeFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/ByCreatorFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/BySocialActionFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/BySocialIssueFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/EmergencyFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/HasNoActivityFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/LocationFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/LocationTypeFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/SentReceivedFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/UserFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/UserScopeFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ActivityDateFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ActivityTypeFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ActivityUsersFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/PersonFilters/ActivityReasonFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/PersonFilters/PersonHavingActivityBetweenDateFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/UsersJobFilter.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/UsersScopeFilter.php-->

### Filtres et regroupements liés aux activités annexes

<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Aggregator/ByActivityTypeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Aggregator/ByUserJobAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Aggregator/ByUserScopeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Export/AvgAsideActivityDuration.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Export/CountAsideActivity.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Export/ListAsideActivity.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Export/SumAsideActivityDuration.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Filter/ByActivityTypeFilter.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Filter/ByDateFilter.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Filter/ByUserFilter.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Filter/ByUserJobFilter.php-->
<!-- PHPFILE: src/Bundle/ChillAsideActivityBundle/src/Export/Filter/ByUserScopeFilter.php-->

### Regroupements liés aux rendez-vous

<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Aggregator/AgentAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Aggregator/CancelReasonAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Aggregator/JobAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Aggregator/LocationAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Aggregator/LocationTypeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Aggregator/MonthYearAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Aggregator/ScopeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Aggregator/UrgencyAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Export/CountCalendars.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Export/StatCalendarAvgDuration.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Export/StatCalendarSumDuration.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Filter/AgentFilter.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Filter/BetweenDatesFilter.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Filter/CalendarRangeFilter.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Filter/JobFilter.php-->
<!-- PHPFILE: src/Bundle/ChillCalendarBundle/Export/Filter/ScopeFilter.php-->

<!-- PHPFILE: src/Bundle/ChillMainBundle/Export/Formatter/CSVFormatter.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Export/Formatter/CSVListFormatter.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Export/Formatter/CSVPivotedListFormatter.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Export/Formatter/SpreadSheetFormatter.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Export/Formatter/SpreadsheetListFormatter.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Form/DataMapper/ExportPickCenterDataMapper.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Form/SavedExportType.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Form/Type/Export/AggregatorType.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Form/Type/Export/ExportType.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Form/Type/Export/FilterType.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Form/Type/Export/FormatterType.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Form/Type/Export/PickCenterType.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Form/Type/Export/PickFormatterType.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Repository/SavedExportRepository.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Security/Authorization/ChillExportVoter.php-->
<!-- PHPFILE: src/Bundle/ChillMainBundle/Security/Authorization/SavedExportVoter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/AbstractAccompanyingPeriodExportElement.php-->

### Regroupements liés aux parcours

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/AdministrativeLocationAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/ByActionNumberAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/ClosingMotiveAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/ConfidentialAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/CreatorJobAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/DurationAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/EmergencyAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/EvaluationAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/GeographicalUnitStatAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/IntensityAggregator.php-->

#### Grouper les parcours par métier de l'intervenant

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/JobWorkingAggregator.php-->

Ce regroupement permet de classer les indicateurs par métier de l'intervenant sur le parcours.

Par intervenant sur le parcours, sont pris en compte tous les utilisateurs qui ont réalisé une intervention: [voir chapitre correspondant]{sec:parcours-intervenant}.

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/IntensityAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/OriginAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/ReferrerAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/ReferrerScopeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/RequestorAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/ScopeAggregator.php-->

#### Grouper les parcours par service de l'intervenant

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/ScopeWorkingAggregator.php-->

Ce regroupement permet de classer les indicateurs par service des intervenants sur le parcours.

Par intervenant sur le parcours, sont pris en compte tous les utilisateurs qui ont réalisé une intervention: [voir chapitre correspondant]{sec:parcours-intervenant}.



<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/SocialActionAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/SocialIssueAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/StepAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/UserJobAggregator.php-->

#### Grouper les parcours par service de l'intervenant

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/AccompanyingCourseAggregators/UserWorkingAggregator.php-->

Ce regroupement permet de classer les indicateurs par intervenants sur le parcours.

Par intervenant sur le parcours, sont pris en compte tous les utilisateurs qui ont réalisé une intervention: [voir chapitre correspondant]{sec:parcours-intervenant}.

### Regroupements liés aux évaluations

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/EvaluationAggregators/ByEndDateAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/EvaluationAggregators/ByMaxDateAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/EvaluationAggregators/ByStartDateAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/EvaluationAggregators/EvaluationTypeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/EvaluationAggregators/HavingEndDateAggregator.php-->

### Regroupements liés aux ménages

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/HouseholdAggregators/ChildrenNumberAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/HouseholdAggregators/CompositionAggregator.php-->

### Regroupements liés aux usagers

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/AgeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/ByHouseholdCompositionAggregator.php-->

#### Grouper les usagers par centre

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/CenterAggregator.php-->

Ce regroupement demande une date en paramètre.

Ce regroupement permet de classer les indicateurs par centre de l'usager. Le centre pouvant évoluer au cours du temps, il est calculé au moment de la date indiquée en paramètre.

Il peut arriver que les usagers concernés par un parcours, ou les usagers associés à un échange ou un rendez-vous appartiennent à différents centres. Lorsque c'est le cas, le parcours ou l'échange sera comptabilisé une fois dans chaque centre.


<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/CountryOfBirthAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/GenderAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/GeographicalUnitAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/HouseholdPositionAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/MaritalStatusAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/NationalityAggregator.php-->

### Filtres et regroupements liés aux actions d'accompagnements

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/SocialWorkAggregators/ActionTypeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/SocialWorkAggregators/CurrentActionAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/SocialWorkAggregators/GoalAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/SocialWorkAggregators/GoalResultAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/SocialWorkAggregators/JobAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/SocialWorkAggregators/ReferrerAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/SocialWorkAggregators/ResultAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/SocialWorkAggregators/ScopeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/CountAccompanyingCourse.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/CountAccompanyingPeriodWork.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/CountEvaluation.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/CountHousehold.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/CountPerson.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/CountPersonWithAccompanyingCourse.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/ListAccompanyingPeriod.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/ListAccompanyingPeriodWork.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/ListEvaluation.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/ListHouseholdInPeriod.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/ListPersonDuplicate.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/ListPerson.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/ListPersonWithAccompanyingPeriod.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Export/StatAccompanyingCourseDuration.php-->


### Filtres liés aux parcours

#### Filtrer les parcours ouverts à une date

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/ActiveOnDateFilter.php-->

Filtre les parcours, pour ne retenir que les parcours dont:

- la date d'ouverture est antérieure à la date communiquée,
- qui ne sont pas clôturés ou dont la date est de clôture est postérieure à la date communiquée.

#### Filtrer les parcours ouverts au moins un jour dans la période

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/ActiveOneDayBetweenDatesFilter.php-->

Ce filtre permet d'indiquer deux dates qui forment une période de recherche.

Filtre les parcours, pour ne retenir que les parcours qui ont été ouverts au moins un jour pendant la période de recherche. Autrement dit:

- la date d'ouverture est antérieure à la fin de la période de recherche;
- la date de fermeture est postérieure au début de la période de recherche, ou le parcours est toujours ouvert.

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/AdministrativeLocationFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/ClosingMotiveFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/ConfidentialFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/CreatorFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/CreatorJobFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/EmergencyFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/EvaluationFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/GeographicalUnitStatFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/HasNoActionFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/HasNoReferrerFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/HasTemporaryLocationFilter.php-->

#### Filter les parcours ayant reçu une intervention entre deux dates

Ce filtre permet d'indiquer deux dates qui forment une période de recherche.

Filtre les parcours qui ont reçu au moins une intervention pendant cette période de recherche. La liste des interventions est identique à celle [utilisée pour le changement de statut des parcours](sec:evenement-statut-parcours).

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/HavingAnAccompanyingPeriodInfoWithinDatesFilter.php-->


<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/IntensityFilter.php-->

#### Filtrer les parcours dont la date d'ouverture est comprise entre deux dates

Ce filtre permet d'indiquer deux dates qui forment une période de recherche.

Filtre les parcours dont la date d'ouverture est comprise entre les deux dates indiquées en paramètre. La date de fin est non comprise dans la période de recherche.

Ce filtre permet de filtrer les "nouveaux parcours" qui ont débuté au cours d'une période.

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/OpenBetweenDatesFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/OriginFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/ReferrerFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/RequestorFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/SocialActionFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/SocialIssueFilter.php-->

#### Filtrer les parcours par statut du parcours entre deux dates

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/StepFilterBetweenDates.php-->

Ce filtre permet d'indiquer deux dates qui forment une période de recherche, ainsi qu'une liste de statuts. La date de fin de la période est non comprise dans la période de recherche.

Filtre les parcours qui avaient un des statuts sélectionné pendant la période de recherche. 

Pour les différentes statuts, voir la section correspondante: [statuts du parcours](#sec:parcours-statut).


#### Filtrer les parcours par statut du parcours

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/StepFilterOnDate.php-->

Ce filtre permet d'indiquer une date en paramètre, ainsi qu'une liste de statuts.

Filtre les parcours qui avaient un des statuts sélectionné à la date indiquée.

Pour les différentes statuts, voir la section correspondante: [statuts du parcours](#sec:parcours-statut).

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/UserJobFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/UserScopeFilter.php-->

#### Filter les parcours par intervenant, entre deux dates

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/UserWorkingOnCourseFilter.php-->

Ce filtre permet d'indiquer:

- une date de début et une date de fin, qui forment une période de recherche;
- un ou plusieurs utilisateurs

Le filtre ne retient que les parcours qui ont reçu une intervention de la part d'un des utilisateurs indiqués en paramètre, et pendant la période indiquée. La date de fin est non comprise dans la période de recherche.

La notion d'intervenant est définie [dans le chapitre correspondant](sec:parcours-intervenant).

Exemples d'utilisation: 

- ce filtre permet de répondre à la question "Sur combien de parcours l'utilisateur Y est-il intervenu, entre le début de cette année et aujourd'hui".

#### Filtrer les parcours par métier de l'intervenant, entre deux dates

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/JobWorkingOnCourseFilter.php-->

Ce filtre permet d'indiquer:

- une date de début et une date de fin, qui forment une période de recherche;
- un ou plusieurs métiers

Le filtre ne retient que les parcours qui ont reçu une intervention de la part des utilisateurs ayant un des métiers indiqués en paramètre, et pendant la période indiquée. La date de fin est non comprise dans la période de recherche.

La notion d'intervenant est définie [dans le chapitre correspondant](sec:parcours-intervenant).

Exemples d'utilisation: 

- ce filtre permet de répondre à la question "Combien de parcours reçoivent une intervention des utilisateurs ayant le métier X et Y, entre le début de l'année et aujourd'hui ?"

#### Filtrer les parcours par service de l'intervenant, entre deux dates

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/AccompanyingCourseFilters/ScopeWorkingOnCourseFilter.php-->

Ce filtre permet d'indiquer:

- une date de début et une date de fin, qui forment une période de recherche;
- un ou plusieurs service

Le filtre ne retient que les parcours qui ont reçu une intervention de la part des utilisateurs ayant un des services indiqués en paramètre, et pendant la période indiquée. La date de fin est non comprise dans la période de recherche.

La notion d'intervenant est définie [dans le chapitre correspondant](sec:parcours-intervenant).

Exemples d'utilisation: 

- ce filtre permet de répondre à la question "Combien de parcours reçoivent une intervention des utilisateurs du service X et Y, entre le début de l'année et aujourd'hui ?"
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/EvaluationFilters/ByEndDateFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/EvaluationFilters/ByStartDateFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/EvaluationFilters/CurrentEvaluationsFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/EvaluationFilters/EvaluationTypeFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/EvaluationFilters/MaxDateFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/HouseholdFilters/CompositionFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/AddressRefStatusFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/AgeFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/BirthdateFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/ByHouseholdCompositionFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/DeadOrAliveFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/DeathdateFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/GenderFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/GeographicalUnitFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/MaritalStatusFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/NationalityFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/ResidentialAddressAtThirdpartyFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/ResidentialAddressAtUserFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/WithoutHouseholdComposition.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/SocialWorkFilters/AccompanyingPeriodWorkEndDateBetweenDateFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/SocialWorkFilters/AccompanyingPeriodWorkStartDateBetweenDateFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/SocialWorkFilters/CurrentActionFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/SocialWorkFilters/JobFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/SocialWorkFilters/ReferrerFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/SocialWorkFilters/ScopeFilter.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/SocialWorkFilters/SocialWorkTypeFilter.php-->
<!-- PHPFILE: src/Bundle/ChillReportBundle/Export/Export/ReportList.php-->
<!-- PHPFILE: src/Bundle/ChillReportBundle/Export/Export/ReportListProvider.php-->
<!-- PHPFILE: src/Bundle/ChillReportBundle/Export/Filter/ReportDateFilter.php-->
