\newpage

# Parcours d'accompagnement {#sec:parcours}


Fournir un soutien social significatif est souvent une combinaison complexe d'objectifs, d'actions, d'acteurs impliqués, de documents, etc. Avec son module de parcours d'accompagnement, Chill vise à donner à ses utilisateurs un outil leur permettant de suivre les trajectoires sociales des usagers.

Vous pouvez le considérer comme le troisième grand module de l'application. Comme pour les domaines "usager" et "ménage", les pages concernant un parcours sont facilement identifiables par son bandeau en haut de l'écran.

![Bandeau d'un parcours d'accompagnement](./img/banner_course.png)

::: {.note}

Dans le menu utilisateur, vous trouvez une entrée de menu pour vous diriger vers:

* une page de liste de **tous** les parcours dont vous êtes le référent;
* une page de liste de toutes vos parcours **BROUILLON** (ceux que vous avez créés, mais pas encore confirmés).

:::

## Résumé du parcours

![Résumé du parcours](./img/parcours_dashboard.png)

<!-- /fr/parcours/{id} -->

La page de résumé rassemble les informations les plus importantes et les dernières activités au sein d'un parcours, vous permettant de prendre certaines actions rapides comme cliquer sur les badges des personnes associées, les activités liées ou les actions sociales, envoyer une nouvelle notification, etc.

En bref, il s'agit du tableau de bord du parcours à partir duquel vous pouvez naviguer vers des sections spécifiques.

## Les différents statuts d'un parcours { #sec:parcours-statut }

Il est important de distinguer les différents statuts pour un parcours. Un badge se trouve en haut à droite du bandeau ou de l'élément de liste pour identifier ce statut:

* **BROUILLON** : le formulaire du parcours est en cours de rédaction, en attente de confirmation.

  Le parcours n'est visible que par son créateur pendant cette période (via le menu utilisateur `Mes parcours brouillon`). Il reste disponible pendant 15 jours à cet état. Ensuite, il est automatiquement supprimé.

* **EN FILE ACTIVE** : le formulaire de création du parcours a été complété, et le parcours est confirmé.

  Il est, dès lors, visible par tous les utilisateurs. Des échanges, des actions d'accompagnements, des documents et des tâches peuvent être ajoutés.

* **HORS FILE ACTIVE** : le parcours n'a plus reçu d'interventions depuis plus de six mois.

  Il est toujours possible d'ajouter de nouvelles actions ou échanges. 

* **PRÉ-ARCHIVÉ** : le parcours n'a plus reçu d'intervention depuis plus de deux ans.

  Il est toujours possible d'ajouter de nouvelles actions ou échanges. 

* **CLÔTURÉ** : le parcours d'accompagnement social est arrivée à son terme, la raison peut être définie (couleur du badge : rouge).

### Les événements pris en compte pour modifier le statut d'un parcours { #sec:parcours-statut-intervention }

Le passage vers les statuts **HORS FILE ACTIVE** et **PRÉ-ARCHIVÉ** est effectué automatiquement, sans intervention de l'utilisateur. Pour calculer "l'inactivité", le logiciel prend en compte la date de différentes intervention dans le parcours. Si aucune de ces interventions n'a eu lieu, Chill change automatiquement le statut du parcours. Sont pris en compte:
 
- la date des échanges;
- la date de début, de fin, des actions d'accompagnements;
- la date de début, de fin des évaluations;
- l'ajout d'une évaluation, d'un document dans une évaluation, la mise à jour d'un document ou la mise à jour d'un commentaire dans une évaluation;
- et, évidemment, la date d'ouverture du parcours.

Notez que, lorsqu'un parcours reçoit des nouvelles actions ou échanges, un parcours redevient **EN FILE ACTIVE**. Ce changement de statut est effectué automatiquement également, mais avec un délai de quelques heures.

### Intervenants sur un parcours { #sec:parcours-intervenant }

Ces interventions permettent également de définir des intervenants sur un parcours: ce sont les auteur·e·s d'une intervention.

Il s'agit donc des utilisateurs qui:

- sont concernés par un échange;
- sont agents traitants d'une action;


## Parcours confidentiel, intensité, et caractère urgent d'un parcours

Bien que les trois états ci-dessus soient considérés comme les états principaux, il existe des propriétés supplémentaires qui caractérisent l'état d'un parcours. Il s'agit des propriétés suivantes:

* **Confidentiel** : un parcours confidentiel ne peut être consulté que par le référent. Les autres utilisateurs n'auront pas accès aux informations qu'il contient.
* **Intensité** : Un parcours peut être caractérisé comme *régulier* ou *ponctuel*.
* **Urgent** : Cet état peut être déclenché lorsque des actions urgentes sont requises dans ce parcours.

::: { .note }
Seul le référent peut modifier l'intensité et le caractère confidentiel d'un parcours.
:::

::: { .warning }

Un parcours confidentiel est visible uniquement par:

* le référent du parcours;
* les personnes qui disposent d'un droit d'accès permettant de voir les parcours confidentiels.

:::


## Création d'un parcours d'accompagnement social

<!-- /fr/parcours/{id}/edit -->

Un nouveau parcours peut être créé:

::: { .not-vendee }
* à partir du menu de section: `Sections > Créer un parcours`. En procédant ainsi, vous êtes dirigé vers un formulaire de parcours vierge à remplir;
:::
* à partir des résultats de recherche, en utilisant le bouton "parcours vert" en regard du nom et de l'adresse de l'usager;
* à partir du dossier de l'usager, depuis la liste des parcours d'un usager;
* à partir du dossier du ménage, depuis la liste des parcours du ménage. Dans ce cas, un parcours reprenant tous les membres du ménage est créé;


## Informations requises à la création

Les informations requises pour **confirmer** un parcours sont les suivantes :

* Il doit être lié à au moins un usager concerné.
* Il doit être lié à au moins une problématique sociale.
* Il doit être attribué à au moins un service.
* Il doit être localisé.

![Confirmer le parcours](./img/parcours_confirm.png)

Toutes ces informations requises sont énumérées au bas du formulaire tant qu'elles ne sont pas remplies. Cela sert à vous rappeler ce que vous devez faire pour confirmer le parcours.

### Usagers concernés

![Usagers concernés](./img/concerned_persons.png)

Un parcours peut être mis en place pour apporter un soutien à plusieurs usagers (par exemple, un soutien est apporté à une mère et son enfant).

### Localisation du parcours

![Localisation](./img/parcours_localisation.png)

Chaque parcours **doit** être localisé et ceci peut être fait de deux manières.

1. Vous pouvez indiquer une adresse temporaire en cliquant sur le bouton désigné. L'adresse ne sera pas automatiquement adaptée en cas de déménagement de la personne concernée. C'est pourquoi un message s'affiche pour vous rappeler, en tant qu'utilisateur, que la deuxième option, indiquée ici, est préférable.

2. Vous pouvez la lier à l'adresse personnelle d'un usager concerné en cliquant sur l'icône du marqueur de carte dans la section des usagers concernés. Si l'usager déménage, elle sera également adaptée automatiquement dans le parcours.

::: {.info}
Si un parcours est lié à l'adresse d'un usager concerné:

* il n'est pas possible de dissocier cet usager du parcours.
* l'usager ne peut pas être déplacé d'un foyer sans indiquer une autre adresse.
:::

#### Localiser le parcours auprès d'un usager concerné

Dans le cas où un usager concerné dispose d'une adresse, il est possible de localiser le parcours auprès de cet usager.

Lorsqu'un parcours est localisé auprès d'un usager:

* le parcours "suit" l'adresse de l'usager lorsqu'il déménage;
* il n'est pas possible de dissocier l'usager concerné du parcours;

Par ailleurs,

* l'usager ne peut pas quitter le parcours, tant que le parcours est localisé auprès de lui;
* l'usager ne peut pas quitter son ménage sans laisser d'adresse, tant qu'il localisé auprès d'au moins un parcours.

#### Localisation temporaire

Une adresse temporaire peut être attribuée à un parcours.

Dans ce cas, cette localisation est associée au parcours, et ne sera pas automatiquement modifiée si un usager déménageait. Pour éviter cette situation, un message d'avertissement rappelle qu'il est préférable d'indiquer une réelle localisation pour le parcours.

::: {.vendee}

#### Pourquoi localiser les parcours ?

La localisation des parcours permet:

* de désigner les référents automatiquement, ou d'inclure les parcours dans les listes des réunions de régulation pour les bons services et MDSF;
* de générer des statistiques localisées;
* de gérer les droits

:::

### Origine de la demande

Dans cette section, vous trouverez une liste prédéfinie d'origines possibles (par exemple, la demande a été faite par téléphone).

### Localisation administrative

La localisation administrative est l'endroit où le parcours est traité. Cela est utile pour des organisations ayant plusieurs sites différents.

### Demandeur

Il peut s'agir d'un usager/tiers déjà existant ou d'une nouvelle personne qui peut être créé à partir de la modale de recherche. Cliquez sur le bouton <**Créer "votre-recherche"**> pour en créer.

### Problématiques sociales

En utilisant le menu déroulant, plusieurs problématiques sociales peuvent être identifiées. Choisissez-en au moins une pour pouvoir confirmer le parcours.

### Services concernés

Identifiez au moins un service qui est concerné par ce parcours. Plusieurs services peuvent être sélectionnés. Cela a un impact sur les utilisateurs qui ont le droit d'accéder aux dossiers du parcours: seuls les utilisateurs (travailleurs) qui appartiennent à un service peuvent avoir accès à certaines informations du parcours selon les services concernés.

### Référent du parcours

Le référent est un collègue auquel vous pouvez vous adresser pour ce parcours. Il est responsable du suivi et a des droits spécifiques liés à l'état du parcours:

* il peut le marquer comme confidentiel;
* il peut le marquer comme urgent;
* il peut changer l'intensité.

::: {.info}

Dans un parcours confirmé, ces trois états ne peuvent pas être modifiés si un parcours n'a pas de référent assigné.

De même, un référent ne peut être supprimé d'un parcours confidentiel.

:::

### Interlocuteurs privilégiés

Un parcours est mis en place pour apporter un soutien à un ou plusieurs usagers concernées. Naturellement, il peut également y avoir un ou plusieurs tiers ou usagers impliqués pour offrir ce soutien. Ces partenaires peuvent être ajoutés dans cette section en recherchant leur nom.

Si un partenaire n'existe pas encore, il peut être créé à partir de la modale de recherche en appuyant sur le bouton <**Créer "votre-recherche"**>.

<!-- ## Historique du parcours -->

<!-- /fr/parcours/{id}/histoire  -->

<!-- TODO -->

## Les actions d'accompagnement social
<!-- /fr/person/accompagnement-période/{id}/travail -->

Dès qu'un parcours a été confirmé (il est à l'état "en file active"), il est possible d'ajouter des actions d'accompagnement social à ce parcours. Ce sont les actions qui sont entreprises pour réaliser l'accompagnement. Veuillez lire la documentation sur les [actions d'accompagnement](#sec:social_action) pour plus d'informations.

## Commentaires

<!-- /fr/parcours/{id}/comments -->

Des commentaires peuvent être ajoutés à un parcours pour notifier aux collègues des informations supplémentaires pour lesquelles il n'y a peut-être pas de section désignée. Un commentaire peut être **épinglé** au tableau de bord du parcours en cliquant sur l'icône du drapeau.

::: {.info}

Un seul commentaire peut être épinglé au tableau de bord, mais tous les commentaires resteront disponibles dans la section des commentaires pour être consultés, modifiés, ré-épinglés ou supprimés.

:::

## Tâches

<!-- /fr/task/single-task/by-course/{id} -->

Tout comme pour les usagers, des tâches peuvent être créées et assignées dans un parcours. Veuillez lire la documentation sur les [tâches](#sec:tasks) pour des informations détaillées.

## Documents

<!-- /fr/parcours/{id}/documents -->


Tout comme pour les usagers, des documents peuvent être attachés à un parcours. La seule différence ici est qu'un document de parcours peut également être généré à partir d'un modèle. Ce modèle peut être sélectionné dans le menu déroulant.

Veuillez lire la documentation sur les [documents](#sec:documents) pour des informations détaillées.

## Fermer un parcours

<!-- /fr/parcours/{id}/close -->

À tout moment, un parcours peut être fermé en cliquant sur l'entrée du menu latéral **"Clôturer le parcours"**.

Vous serez dirigé vers un petit formulaire dans lequel vous pourrez spécifier la date de fermeture et le motif.

## Ré-ouvrir un parcours

Lorsqu'un parcours est fermé, le menu s'adapte pour offrir à l'utilisateur la possibilité de le ré-ouvrir. Aucune autre action n'est requise après avoir cliqué sur ce bouton.
